﻿Public Class dlgLieferantBearbeiten
    Private CreateNewSupplier As Boolean
    Private Sub dlgLieferantBearbeiten_Load(sender As Object, e As EventArgs) Handles MyBase.Load
        CreateNewSupplier = Me.BSLieferant.At(Of DtsDaten.LieferantRow).RowState = DataRowState.Detached
    End Sub
    Private Sub BTNSave_Click(sender As Object, e As EventArgs) Handles BTNSave.Click
        Dim SupplierName = TBName.Text
        If CreateNewSupplier AndAlso DtsDaten.Lieferant.SupplierExists(SupplierName) Then
            ShowAutoClosingMessageBox($"Der Lieferant {SupplierName} existiert bereits")
            Return
        End If
        SaveSupplier()
    End Sub
    Private Sub SaveSupplier()
        Me.DialogResult = DialogResult.OK
    End Sub
    Private Sub dlgLieferantenBearbeiten_KeyDown(sender As Object, e As KeyEventArgs) Handles MyBase.KeyDown
        Select Case e.KeyData
            Case = Keys.Enter Or Keys.Control
                SaveSupplier()
            Case = Keys.Enter
                SendKeys.Send("{TAB}")
                e.SuppressKeyPress = True
        End Select
    End Sub
End Class