﻿Imports System.Runtime.InteropServices

Public Class frmNachricht
    Private Const _Fontsize As Integer = 18
    Private _DisplayText As String
    Private _TimerTime As Integer = 0
    Private _DisplayTime As Integer
    Private _autoclose As Boolean
    Private _WS_EX_TOOLWINDOW As Integer = &H80
    Private _GWL_EXSTYLE As Integer = -20

    <DllImport("user32.dll",
    EntryPoint:="SetWindowLong")>
    Private Shared Function SetWindowLong(hWnd As IntPtr, nIndex As Integer,
                                         dwNewLong As Integer) As Integer
    End Function
    Public WriteOnly Property SetAutoClose() As Boolean
        Set
            _autoclose = Value
        End Set
    End Property
    Public WriteOnly Property SetDisplayText() As String
        Set
            _DisplayText = Value
        End Set
    End Property
    Public WriteOnly Property SetDisplayTime() As Integer
        Set
            _DisplayTime = Value
        End Set
    End Property
    Private Sub frmMessage_Load(sender As Object, e As EventArgs) Handles MyBase.Load
        SetWindowLong(Me.Handle, _GWL_EXSTYLE, _WS_EX_TOOLWINDOW)
        LBLMessage.Text = _DisplayText
        LBLMessage.Font = New Font("Microsoft Sans Serif", _Fontsize, FontStyle.Regular)
        Me.Size = LBLMessage.Size
        If Not _autoclose Then
            Me.Height += 50
        Else
            BTNSchliessen.Visible = False
            TimerSekundenBisSchliessen.Start()
        End If
        With Screen.PrimaryScreen.WorkingArea
            Me.Location = New Point(CInt(.Left + (.Right - .Left - Me.Width) / 2), CInt(.Top + (.Bottom - .Top - Me.Height) / 2))
        End With
    End Sub
    Private Sub TimerSekundenBisSchliessen_Tick(sender As Object, e As EventArgs) Handles TimerSekundenBisSchliessen.Tick
        _TimerTime += 1
        If _TimerTime = _DisplayTime Then Me.Close()
        If _TimerTime > 20 Then Me.Close() 'Notfallabbruch
    End Sub
    Private Sub BtnSchliessen_Click(sender As Object, e As EventArgs) Handles BTNSchliessen.Click
        Me.Close()
    End Sub
End Class