﻿Imports System.Runtime.CompilerServices
Module ModExtensions
    <Extension()>
    Public Function IsNotEmpty(Text As String) As Boolean
        Return Not String.IsNullOrEmpty(Text)
    End Function
    <Extension()>
    Public Function IsEmpty(Text As String) As Boolean
        Return String.IsNullOrEmpty(Text)
    End Function
    <Extension()>
    Public Function NotContains(Text As String, ContainsString As String) As Boolean
        Return Not Text.Contains(ContainsString)
    End Function
    <Extension()>
    Public Function At(Of T As DataRow)(bs As BindingSource) As T
        Return DirectCast(bs.At(bs.Position), T)
    End Function
End Module
